//
//  DetailsViewController.swift
//  2016Movies
//
//  Created by Malek T. on 8/1/16.
//  Copyright © 2016 Medigarage Studios LTD. All rights reserved.
//

import UIKit

class DetailsViewController: UIViewController, UITableViewDataSource {

    
    var photo: UIImage!
    var movie: [String: AnyObject]!
    
    @IBOutlet var tableView: UITableView!
    override func viewDidLoad() {
        super.viewDidLoad()
        tableView.tableHeaderView = UIImageView(image: photo)
        tableView.dataSource = self
        tableView.register(UITableViewCell.self, forCellReuseIdentifier: "CellID")
        tableView.estimatedRowHeight = 100
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    //MARK: UITableViewDataSource
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 1
    }
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "CellID")
        cell?.textLabel?.text = movie["Description"] as? String
        cell?.textLabel?.numberOfLines = 0
        return cell!
    }
}
